Перейти к содержимому

List cost records for the workspace, optionally filtered by period and link

GET
/api/v1/costs
curl --request GET \
--url 'https://example.com/api/v1/costs?from=2026-03-01&to=2026-03-31' \
--header 'Authorization: Bearer <token>'
from
string

Example

2026-03-01

Only cost records overlapping this range — start (date)

to
string

Example

2026-03-31

Only cost records overlapping this range — end (date)

linkId
string

Filter by link UUID

Media typeapplication/json
Array<object>
object
id
required
string
linkId
object
breakdownKey
object
breakdownValue
object
periodStart
required
string
periodEnd
required
string
amount
required
number
currency
required
string
source
required
string
notes
object
createdAt
required
string
updatedAt
required
string

Example generated

[
{
"id": "example",
"linkId": {},
"breakdownKey": {},
"breakdownValue": {},
"periodStart": "example",
"periodEnd": "example",
"amount": 1,
"currency": "example",
"source": "example",
"notes": {},
"createdAt": "example",
"updatedAt": "example"
}
]